Subject: Re: [PATCH]: PowerPC: make sure the rtas stop-self token is defined.

From: jschopp <[email-masked]>
Date: Mon, 13 Nov 2006 00:21:04 -0600

> I can only find one caller? Is it called via a #define or something?
> 
> Wouldn't it be preferable to just change rtas.h like so:
> 
> #ifdef CONFIG_HOTPLUG_CPU
> extern void rtas_stop_self(void);
> #else
> static inline void rtas_stop_self(void) { }
> #endif
> 

There seem to be a couple problems here.  First I'm guessing the file you said there was 
catting into was the online attribute, which shouldn't appear, or at least shouldn't do 
anything, if cpu hotplug isn't configured.  It's a stupid thing to do, but it shouldn't 
crash the kernel.  I guess one of us should fix that, though it probably doesn't merit 
2.6.19 consideration.

The second problem is rtas_stop_self shouldn't be defined or called either.  Michael's 
solution above seems best for that to me.  Care to give us a patch Michael?